# Query Webhook URL

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/webhook/query-webhook-list`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="208.03125">Name</th><th width="187.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id<mark style="color:red;">*</mark></td><td>string</td><td>Partner ID</td></tr><tr><td>webhook_id</td><td>long</td><td>Webhook ID</td></tr><tr><td>webhook_type</td><td>integer</td><td>Webhook type.Refer to <a href="/pages/ystsrgyoK8oet6AAmFBV">webhookType</a></td></tr></tbody></table>

{% hint style="danger" %}
if 'sub\_partner\_id'  is empty，please input the value of   'partner\_id'&#x20;
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "0A0Cc523-E76D-A02b-dFAd-eA4fAa46",
    "timestamp": "2025-04-07 13:57:07",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "sub_partner_id": 00000000000000000
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

| Name          | Type    | Description  |
| ------------- | ------- | ------------ |
| webhook\_id   | long    | webhook ID   |
| webhook\_type | integer | webhook type |
| webhook\_url  | string  | webhook url  |
| webhook\_desc | string  | webhook url  |
| create\_time  | string  | create time  |

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 3,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": [{
        "webhook_id": 3,
        "webhook_type": 2,
        "webhook_url": "https://*******/card_action_result_notification",
        "webhook_desc": "this is desc",
        "create_time": "2024-08-23 07:32:04"
    }, {
        "webhook_id": 4,
        "webhook_type": 2,
        "webhook_url": "https://*******/card_action_result_notification",
        "webhook_desc": "this is desc2",
        "create_time": "2024-08-23 07:34:37"
    }, {
        "webhook_id": 16,
        "webhook_type": 2,
        "webhook_url": "https://*******/card_action_result_notification",
        "webhook_desc": "this is desc3",
        "create_time": "2024-11-29 03:44:26"
    }]
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/webhook/manage-webhook-url/query-webhook-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
